import moment from 'moment'
const format='HH:mm'
export  const missingTime = (timeArr, start_time = '00:00', end_time = '23:59') => {
    const missTimeArr= []
    if (!timeArr) {
      return
    }
    // 对时间排序
    timeArr.sort((i, j) => {
      return moment(i.split(',')[0], format) - moment(j.split(',')[0], format)
    })
    timeArr.forEach((item, index) => {
      if (index === 0) {
        if (moment(item.split(',')[0], format).diff(moment(start_time, format), 'minutes') !== 0) {
          missTimeArr.push(`${start_time}~${moment(item.split(',')[0], format).format(format)}`)
        }
      } else if (
        moment(item.split(',')[0], format).diff(moment(start_time, format), 'minutes') !== 0
      ) {
        missTimeArr.push(
          `${moment(start_time, format).format(format)}~${moment(item.split(',')[0], format).format(
            format
          )}`
        )
      }
      if (index === timeArr.length - 1) {
        if (moment(item.split(',')[1], format).diff(moment(end_time, format), 'minutes') !== 0) {
          missTimeArr.push(`${moment(item.split(',')[1], format).format(format)}~${end_time}`)
        }
      }
      start_time = item.split(',')[1]
    })
  
    return { missTimeArr: [...new Set(missTimeArr)] }
  }